# wxAuiPaneInfo Class Reference
[Window Docking (wxAUI)]

`#include <wx/aui/framemanager.h>`

## Detailed Description

wxAuiPaneInfo is part of the wxAUI class framework.

See also wxAUI Overview.

wxAuiPaneInfo specifies all the parameters for a pane. These parameters specify where the pane is on the screen, whether it is docked or floating, or hidden. In addition, these parameters specify the pane's docked position, floating position, preferred size, minimum size, caption text among many other parameters.

##

Library: wxBase

Category: Window Docking (wxAUI)

See also:
  wxAuiManager, wxAuiDockArt

## Public Member Functions
| wxAuiPaneInfo ()
| wxAuiPaneInfo (const wxAuiPaneInfo &c)
| Copy constructor.
wxAuiPaneInfo & | Bottom ()
| Bottom() sets the pane dock position to the bottom side of the frame.
wxAuiPaneInfo & | BottomDockable (bool b=true)
| BottomDockable() indicates whether a pane can be docked at the bottom of the frame.
wxAuiPaneInfo & | Caption (const wxString &c)
| Caption() sets the caption of the pane.
wxAuiPaneInfo & | CaptionVisible (bool visible=true)
| CaptionVisible indicates that a pane caption should be visible.
wxAuiPaneInfo & | CloseButton (bool visible=true)
| CloseButton() indicates that a close button should be drawn for the pane.
wxAuiPaneInfo & | DefaultPane ()
| DefaultPane() specifies that the pane should adopt the default pane settings.
wxAuiPaneInfo & | DestroyOnClose (bool b=true)
| DestroyOnClose() indicates whether a pane should be destroyed when it is closed.
wxAuiPaneInfo & | Direction (int direction)
| Direction() determines the direction of the docked pane.
wxAuiPaneInfo & | Dock ()
| Dock() indicates that a pane should be docked.
wxAuiPaneInfo & | DockFixed (bool b=true)
| DockFixed() causes the containing dock to have no resize sash.
wxAuiPaneInfo & | Dockable (bool b=true)
| Dockable() specifies whether a frame can be docked or not.
wxAuiPaneInfo & | Fixed ()
| Fixed() forces a pane to be fixed size so that it cannot be resized.
wxAuiPaneInfo & | Float ()
| Float() indicates that a pane should be floated.
wxAuiPaneInfo & | Floatable (bool b=true)
| Floatable() sets whether the user will be able to undock a pane and turn it into a floating window.
wxAuiPaneInfo & | Gripper (bool visible=true)
| Gripper() indicates that a gripper should be drawn for the pane.
wxAuiPaneInfo & | GripperTop (bool attop=true)
| GripperTop() indicates that a gripper should be drawn at the top of the pane.
bool | HasBorder () const
| HasBorder() returns true if the pane displays a border.
bool | HasCaption () const
| HasCaption() returns true if the pane displays a caption.
bool | HasCloseButton () const
| HasCloseButton() returns true if the pane displays a button to close the pane.
bool | HasFlag (int flag) const
| HasFlag() returns true if the property specified by flag is active for the pane.
bool | HasGripper () const
| HasGripper() returns true if the pane displays a gripper.
bool | HasGripperTop () const
| HasGripper() returns true if the pane displays a gripper at the top.
bool | HasMaximizeButton () const
| HasMaximizeButton() returns true if the pane displays a button to maximize the pane.
bool | HasMinimizeButton () const
| HasMinimizeButton() returns true if the pane displays a button to minimize the pane.
bool | HasPinButton () const
| HasPinButton() returns true if the pane displays a button to float the pane.
wxAuiPaneInfo & | Hide ()
| Hide() indicates that a pane should be hidden.
wxAuiPaneInfo & | Icon (const wxBitmap &b)
| Icon() sets the icon of the pane.
bool | IsBottomDockable () const
| IsBottomDockable() returns true if the pane can be docked at the bottom of the managed frame.
bool | IsDockable () const
| Returns true if the pane can be docked at any side.
bool | IsDocked () const
| IsDocked() returns true if the pane is currently docked.
bool | IsFixed () const
| IsFixed() returns true if the pane cannot be resized.
bool | IsFloatable () const
| IsFloatable() returns true if the pane can be undocked and displayed as a floating window.
bool | IsFloating () const
| IsFloating() returns true if the pane is floating.
bool | IsLeftDockable () const
| IsLeftDockable() returns true if the pane can be docked on the left of the managed frame.
bool | IsMovable () const
| IsMoveable() returns true if the docked frame can be undocked or moved to another dock position.
bool | IsOk () const
| IsOk() returns true if the wxAuiPaneInfo structure is valid.
bool | IsResizable () const
| IsResizable() returns true if the pane can be resized.
bool | IsRightDockable () const
| IsRightDockable() returns true if the pane can be docked on the right of the managed frame.
bool | IsShown () const
| IsShown() returns true if the pane is currently shown.
bool | IsToolbar () const
| IsToolbar() returns true if the pane contains a toolbar.
bool | IsTopDockable () const
| IsTopDockable() returns true if the pane can be docked at the top of the managed frame.
wxAuiPaneInfo & | Layer (int layer)
| Layer() determines the layer of the docked pane.
wxAuiPaneInfo & | Left ()
| Left() sets the pane dock position to the left side of the frame.
wxAuiPaneInfo & | LeftDockable (bool b=true)
| LeftDockable() indicates whether a pane can be docked on the left of the frame.
wxAuiPaneInfo & | MaximizeButton (bool visible=true)
| MaximizeButton() indicates that a maximize button should be drawn for the pane.
wxAuiPaneInfo & | MinimizeButton (bool visible=true)
| MinimizeButton() indicates that a minimize button should be drawn for the pane.
wxAuiPaneInfo & | Movable (bool b=true)
| Movable indicates whether a frame can be moved.
wxAuiPaneInfo & | Name (const wxString &n)
| Name() sets the name of the pane so it can be referenced in lookup functions.
wxAuiPaneInfo & | PaneBorder (bool visible=true)
| PaneBorder indicates that a border should be drawn for the pane.
wxAuiPaneInfo & | PinButton (bool visible=true)
| PinButton() indicates that a pin button should be drawn for the pane.
wxAuiPaneInfo & | Position (int pos)
| Position() determines the position of the docked pane.
wxAuiPaneInfo & | Resizable (bool resizable=true)
| Resizable() allows a pane to be resized if the parameter is true, and forces it to be a fixed size if the parameter is false.
wxAuiPaneInfo & | Right ()
| Right() sets the pane dock position to the right side of the frame.
wxAuiPaneInfo & | RightDockable (bool b=true)
| RightDockable() indicates whether a pane can be docked on the right of the frame.
wxAuiPaneInfo & | Row (int row)
| Row() determines the row of the docked pane.
void | SafeSet (wxAuiPaneInfo source)
| Write the safe parts of a newly loaded PaneInfo structure "source" into "this" used on loading perspectives etc.
wxAuiPaneInfo & | SetFlag (int flag, bool option_state)
| SetFlag() turns the property given by flag on or off with the option_state parameter.
wxAuiPaneInfo & | Show (bool show=true)
| Show() indicates that a pane should be shown.
wxAuiPaneInfo & | ToolbarPane ()
| ToolbarPane() specifies that the pane should adopt the default toolbar pane settings.
wxAuiPaneInfo & | Top ()
| Top() sets the pane dock position to the top of the frame.
wxAuiPaneInfo & | TopDockable (bool b=true)
| TopDockable() indicates whether a pane can be docked at the top of the frame.
wxAuiPaneInfo & | Window (wxWindow *w)
| Window() assigns the window pointer that the wxAuiPaneInfo should use.
wxAuiPaneInfo & | operator= (const wxAuiPaneInfo &c)
| Makes a copy of the wxAuiPaneInfo object.
wxAuiPaneInfo & | BestSize (const wxSize &size)
| BestSize() sets the ideal size for the pane.
wxAuiPaneInfo & | BestSize (int x, int y)
| BestSize() sets the ideal size for the pane.
wxAuiPaneInfo & | Centre ()
| Center() sets the pane dock position to the left side of the frame.
wxAuiPaneInfo & | Center ()
| Center() sets the pane dock position to the left side of the frame.
wxAuiPaneInfo & | CentrePane ()
| CentrePane() specifies that the pane should adopt the default center pane settings.
wxAuiPaneInfo & | CenterPane ()
| CentrePane() specifies that the pane should adopt the default center pane settings.
wxAuiPaneInfo & | FloatingPosition (const wxPoint &pos)
| FloatingPosition() sets the position of the floating pane.
wxAuiPaneInfo & | FloatingPosition (int x, int y)
| FloatingPosition() sets the position of the floating pane.
wxAuiPaneInfo & | FloatingSize (const wxSize &size)
| FloatingSize() sets the size of the floating pane.
wxAuiPaneInfo & | FloatingSize (int x, int y)
| FloatingSize() sets the size of the floating pane.
wxAuiPaneInfo & | MaxSize (const wxSize &size)
| MaxSize() sets the maximum size of the pane.
wxAuiPaneInfo & | MaxSize (int x, int y)
| MaxSize() sets the maximum size of the pane.
wxAuiPaneInfo & | MinSize (const wxSize &size)
| MinSize() sets the minimum size of the pane.
wxAuiPaneInfo & | MinSize (int x, int y)
| MinSize() sets the minimum size of the pane.

List of all members.

## Constructor & Destructor Documentation

wxAuiPaneInfo::wxAuiPaneInfo | ( |  | ) |

wxAuiPaneInfo::wxAuiPaneInfo | ( | const wxAuiPaneInfo & | c | ) |

Copy constructor.

## Member Function Documentation

wxAuiPaneInfo& wxAuiPaneInfo::BestSize | ( | int | x,
|  | int | y |
| ) |  |  |

BestSize() sets the ideal size for the pane.

The docking manager will attempt to use this size as much as possible when docking or floating the pane.

wxAuiPaneInfo& wxAuiPaneInfo::BestSize | ( | const wxSize & | size | ) |

BestSize() sets the ideal size for the pane.

The docking manager will attempt to use this size as much as possible when docking or floating the pane.

wxAuiPaneInfo& wxAuiPaneInfo::Bottom | ( |  | ) |

Bottom() sets the pane dock position to the bottom side of the frame.

This is the same thing as calling Direction(wxAUI_DOCK_BOTTOM).

wxAuiPaneInfo& wxAuiPaneInfo::BottomDockable | ( | bool | b = `true` | ) |

BottomDockable() indicates whether a pane can be docked at the bottom of the frame.

wxAuiPaneInfo& wxAuiPaneInfo::Caption | ( | const wxString & | c | ) |

Caption() sets the caption of the pane.

wxAuiPaneInfo& wxAuiPaneInfo::CaptionVisible | ( | bool | visible = `true` | ) |

CaptionVisible indicates that a pane caption should be visible.

If false, no pane caption is drawn.

wxAuiPaneInfo& wxAuiPaneInfo::Center | ( |  | ) |

Center() sets the pane dock position to the left side of the frame.

The centre pane is the space in the middle after all border panes (left, top, right, bottom) are subtracted from the layout. This is the same thing as calling Direction(wxAUI_DOCK_CENTRE).

wxAuiPaneInfo& wxAuiPaneInfo::CenterPane | ( |  | ) |

CentrePane() specifies that the pane should adopt the default center pane settings.

Centre panes usually do not have caption bars. This function provides an easy way of preparing a pane to be displayed in the center dock position.

wxAuiPaneInfo& wxAuiPaneInfo::Centre | ( |  | ) |

Center() sets the pane dock position to the left side of the frame.

The centre pane is the space in the middle after all border panes (left, top, right, bottom) are subtracted from the layout. This is the same thing as calling Direction(wxAUI_DOCK_CENTRE).

wxAuiPaneInfo& wxAuiPaneInfo::CentrePane | ( |  | ) |

CentrePane() specifies that the pane should adopt the default center pane settings.

Centre panes usually do not have caption bars. This function provides an easy way of preparing a pane to be displayed in the center dock position.

wxAuiPaneInfo& wxAuiPaneInfo::CloseButton | ( | bool | visible = `true` | ) |

CloseButton() indicates that a close button should be drawn for the pane.

wxAuiPaneInfo& wxAuiPaneInfo::DefaultPane | ( |  | ) |

DefaultPane() specifies that the pane should adopt the default pane settings.

wxAuiPaneInfo& wxAuiPaneInfo::DestroyOnClose | ( | bool | b = `true` | ) |

DestroyOnClose() indicates whether a pane should be destroyed when it is closed.

Normally a pane is simply hidden when the close button is clicked. Setting DestroyOnClose to true will cause the window to be destroyed when the user clicks the pane's close button.

wxAuiPaneInfo& wxAuiPaneInfo::Direction | ( | int | direction | ) |

Direction() determines the direction of the docked pane.

It is functionally the same as calling Left(), Right(), Top() or Bottom(), except that docking direction may be specified programmatically via the parameter.

wxAuiPaneInfo& wxAuiPaneInfo::Dock | ( |  | ) |

Dock() indicates that a pane should be docked.

It is the opposite of Float().

wxAuiPaneInfo& wxAuiPaneInfo::Dockable | ( | bool | b = `true` | ) |

Dockable() specifies whether a frame can be docked or not.

It is the same as specifying TopDockable(b).BottomDockable(b).LeftDockable(b).RightDockable(b).

wxAuiPaneInfo& wxAuiPaneInfo::DockFixed | ( | bool | b = `true` | ) |

DockFixed() causes the containing dock to have no resize sash.

This is useful for creating panes that span the entire width or height of a dock, but should not be resizable in the other direction.

wxAuiPaneInfo& wxAuiPaneInfo::Fixed | ( |  | ) |

Fixed() forces a pane to be fixed size so that it cannot be resized.

After calling Fixed(), IsFixed() will return true.

wxAuiPaneInfo& wxAuiPaneInfo::Float | ( |  | ) |

Float() indicates that a pane should be floated.

It is the opposite of Dock().

wxAuiPaneInfo& wxAuiPaneInfo::Floatable | ( | bool | b = `true` | ) |

Floatable() sets whether the user will be able to undock a pane and turn it into a floating window.

wxAuiPaneInfo& wxAuiPaneInfo::FloatingPosition | ( | int | x,
|  | int | y |
| ) |  |  |

FloatingPosition() sets the position of the floating pane.

wxAuiPaneInfo& wxAuiPaneInfo::FloatingPosition | ( | const wxPoint & | pos | ) |

FloatingPosition() sets the position of the floating pane.

wxAuiPaneInfo& wxAuiPaneInfo::FloatingSize | ( | int | x,
|  | int | y |
| ) |  |  |

FloatingSize() sets the size of the floating pane.

wxAuiPaneInfo& wxAuiPaneInfo::FloatingSize | ( | const wxSize & | size | ) |

FloatingSize() sets the size of the floating pane.

wxAuiPaneInfo& wxAuiPaneInfo::Gripper | ( | bool | visible = `true` | ) |

Gripper() indicates that a gripper should be drawn for the pane.

wxAuiPaneInfo& wxAuiPaneInfo::GripperTop | ( | bool | attop = `true` | ) |

GripperTop() indicates that a gripper should be drawn at the top of the pane.

bool wxAuiPaneInfo::HasBorder | ( |  | ) | const

HasBorder() returns true if the pane displays a border.

bool wxAuiPaneInfo::HasCaption | ( |  | ) | const

HasCaption() returns true if the pane displays a caption.

bool wxAuiPaneInfo::HasCloseButton | ( |  | ) | const

HasCloseButton() returns true if the pane displays a button to close the pane.

bool wxAuiPaneInfo::HasFlag | ( | int | flag | ) | const

HasFlag() returns true if the property specified by flag is active for the pane.

bool wxAuiPaneInfo::HasGripper | ( |  | ) | const

HasGripper() returns true if the pane displays a gripper.

bool wxAuiPaneInfo::HasGripperTop | ( |  | ) | const

HasGripper() returns true if the pane displays a gripper at the top.

bool wxAuiPaneInfo::HasMaximizeButton | ( |  | ) | const

HasMaximizeButton() returns true if the pane displays a button to maximize the pane.

bool wxAuiPaneInfo::HasMinimizeButton | ( |  | ) | const

HasMinimizeButton() returns true if the pane displays a button to minimize the pane.

bool wxAuiPaneInfo::HasPinButton | ( |  | ) | const

HasPinButton() returns true if the pane displays a button to float the pane.

wxAuiPaneInfo& wxAuiPaneInfo::Hide | ( |  | ) |

Hide() indicates that a pane should be hidden.

wxAuiPaneInfo& wxAuiPaneInfo::Icon | ( | const wxBitmap & | b | ) |

Icon() sets the icon of the pane.

Notice that the height of the icon should be smaller than the value returned by wxAuiDockArt::GetMetric(wxAUI_DOCKART_CAPTION_SIZE) to ensure that it appears correctly.

Since:
  2.9.2

bool wxAuiPaneInfo::IsBottomDockable | ( |  | ) | const

IsBottomDockable() returns true if the pane can be docked at the bottom of the managed frame.

See also:
  IsDockable()

bool wxAuiPaneInfo::IsDockable | ( |  | ) | const

Returns true if the pane can be docked at any side.

See also:
  IsTopDockable(), IsBottomDockable(), IsLeftDockable(), IsRightDockable()

Since:
  2.9.2

bool wxAuiPaneInfo::IsDocked | ( |  | ) | const

IsDocked() returns true if the pane is currently docked.

bool wxAuiPaneInfo::IsFixed | ( |  | ) | const

IsFixed() returns true if the pane cannot be resized.

bool wxAuiPaneInfo::IsFloatable | ( |  | ) | const

IsFloatable() returns true if the pane can be undocked and displayed as a floating window.

bool wxAuiPaneInfo::IsFloating | ( |  | ) | const

IsFloating() returns true if the pane is floating.

bool wxAuiPaneInfo::IsLeftDockable | ( |  | ) | const

IsLeftDockable() returns true if the pane can be docked on the left of the managed frame.

See also:
  IsDockable()

bool wxAuiPaneInfo::IsMovable | ( |  | ) | const

IsMoveable() returns true if the docked frame can be undocked or moved to another dock position.

bool wxAuiPaneInfo::IsOk | ( |  | ) | const

IsOk() returns true if the wxAuiPaneInfo structure is valid.

A pane structure is valid if it has an associated window.

bool wxAuiPaneInfo::IsResizable | ( |  | ) | const

IsResizable() returns true if the pane can be resized.

bool wxAuiPaneInfo::IsRightDockable | ( |  | ) | const

IsRightDockable() returns true if the pane can be docked on the right of the managed frame.

See also:
  IsDockable()

bool wxAuiPaneInfo::IsShown | ( |  | ) | const

IsShown() returns true if the pane is currently shown.

bool wxAuiPaneInfo::IsToolbar | ( |  | ) | const

IsToolbar() returns true if the pane contains a toolbar.

bool wxAuiPaneInfo::IsTopDockable | ( |  | ) | const

IsTopDockable() returns true if the pane can be docked at the top of the managed frame.

See also:
  IsDockable()

wxAuiPaneInfo& wxAuiPaneInfo::Layer | ( | int | layer | ) |

Layer() determines the layer of the docked pane.

The dock layer is similar to an onion, the inner-most layer being layer 0. Each shell moving in the outward direction has a higher layer number. This allows for more complex docking layout formation.

wxAuiPaneInfo& wxAuiPaneInfo::Left | ( |  | ) |

Left() sets the pane dock position to the left side of the frame.

This is the same thing as calling Direction(wxAUI_DOCK_LEFT).

wxAuiPaneInfo& wxAuiPaneInfo::LeftDockable | ( | bool | b = `true` | ) |

LeftDockable() indicates whether a pane can be docked on the left of the frame.

wxAuiPaneInfo& wxAuiPaneInfo::MaximizeButton | ( | bool | visible = `true` | ) |

MaximizeButton() indicates that a maximize button should be drawn for the pane.

wxAuiPaneInfo& wxAuiPaneInfo::MaxSize | ( | int | x,
|  | int | y |
| ) |  |  |

MaxSize() sets the maximum size of the pane.

wxAuiPaneInfo& wxAuiPaneInfo::MaxSize | ( | const wxSize & | size | ) |

MaxSize() sets the maximum size of the pane.

wxAuiPaneInfo& wxAuiPaneInfo::MinimizeButton | ( | bool | visible = `true` | ) |

MinimizeButton() indicates that a minimize button should be drawn for the pane.

wxAuiPaneInfo& wxAuiPaneInfo::MinSize | ( | int | x,
|  | int | y |
| ) |  |  |

MinSize() sets the minimum size of the pane.

Please note that this is only partially supported as of this writing.

wxAuiPaneInfo& wxAuiPaneInfo::MinSize | ( | const wxSize & | size | ) |

MinSize() sets the minimum size of the pane.

Please note that this is only partially supported as of this writing.

wxAuiPaneInfo& wxAuiPaneInfo::Movable | ( | bool | b = `true` | ) |

Movable indicates whether a frame can be moved.

wxAuiPaneInfo& wxAuiPaneInfo::Name | ( | const wxString & | n | ) |

Name() sets the name of the pane so it can be referenced in lookup functions.

If a name is not specified by the user, a random name is assigned to the pane when it is added to the manager.

wxAuiPaneInfo& wxAuiPaneInfo::operator= | ( | const wxAuiPaneInfo & | c | ) |

Makes a copy of the wxAuiPaneInfo object.

wxAuiPaneInfo& wxAuiPaneInfo::PaneBorder | ( | bool | visible = `true` | ) |

PaneBorder indicates that a border should be drawn for the pane.

wxAuiPaneInfo& wxAuiPaneInfo::PinButton | ( | bool | visible = `true` | ) |

PinButton() indicates that a pin button should be drawn for the pane.

wxAuiPaneInfo& wxAuiPaneInfo::Position | ( | int | pos | ) |

Position() determines the position of the docked pane.

wxAuiPaneInfo& wxAuiPaneInfo::Resizable | ( | bool | resizable = `true` | ) |

Resizable() allows a pane to be resized if the parameter is true, and forces it to be a fixed size if the parameter is false.

This is simply an antonym for Fixed().

wxAuiPaneInfo& wxAuiPaneInfo::Right | ( |  | ) |

Right() sets the pane dock position to the right side of the frame.

wxAuiPaneInfo& wxAuiPaneInfo::RightDockable | ( | bool | b = `true` | ) |

RightDockable() indicates whether a pane can be docked on the right of the frame.

wxAuiPaneInfo& wxAuiPaneInfo::Row | ( | int | row | ) |

Row() determines the row of the docked pane.

void wxAuiPaneInfo::SafeSet | ( | wxAuiPaneInfo | source | ) |

Write the safe parts of a newly loaded PaneInfo structure "source" into "this" used on loading perspectives etc.

wxAuiPaneInfo& wxAuiPaneInfo::SetFlag | ( | int | flag,
|  | bool | option_state |
| ) |  |  |

SetFlag() turns the property given by flag on or off with the option_state parameter.

wxAuiPaneInfo& wxAuiPaneInfo::Show | ( | bool | show = `true` | ) |

Show() indicates that a pane should be shown.

wxAuiPaneInfo& wxAuiPaneInfo::ToolbarPane | ( |  | ) |

ToolbarPane() specifies that the pane should adopt the default toolbar pane settings.

wxAuiPaneInfo& wxAuiPaneInfo::Top | ( |  | ) |

Top() sets the pane dock position to the top of the frame.

wxAuiPaneInfo& wxAuiPaneInfo::TopDockable | ( | bool | b = `true` | ) |

TopDockable() indicates whether a pane can be docked at the top of the frame.

wxAuiPaneInfo& wxAuiPaneInfo::Window | ( | wxWindow * | w | ) |

Window() assigns the window pointer that the wxAuiPaneInfo should use.

This normally does not need to be specified, as the window pointer is automatically assigned to the wxAuiPaneInfo structure as soon as it is added to the manager.

|  | [ top ]